# Package de.dhbwstuttgart.syntaxtree.statement

Class Summary
ArgumentList
Assign
Binary
BinaryExpr
Block
BoolLiteral
CastExpr
CharLiteral
DoubleLiteral
EmptyStmt
Expr
ExprStmt
FloatLiteral
ForStmt
IfStmt
InstanceOf
InstVar
IntLiteral
LambdaExpression
LambdaParameter: Der FormalParameter einer LambdaExpression hat gesonderte Eigenschaften.
Literal
LocalOrFieldVar
LocalVarDecl
LongLiteral
MethodCall
NegativeExpr
NewArray
NewClass
NotExpr
Null
PositivExpr
PostDecExpr
PostIncExpr
PreDecExpr
PreIncExpr
Receiver
Return
Statement
StringLiteral
SuperCall
This
ThisCall
UnaryExpr
UnaryMinus
UnaryNot
UnaryPlus
WhileStmt